From 2e0572ce1d8d18d4e5fd6fbbdadd087f27b38c9a Mon Sep 17 00:00:00 2001
From: Chia-I Wu <olv@openmoko.com>
Date: Wed, 29 Oct 2008 12:24:15 +0800
Subject: [PATCH] fastboot: module-init-tools adds init script

---
 .../module-init-tools/files/module-init-tools.init |   21 ++++++++++++++++++++
 .../module-init-tools/module-init-tools_3.2.2.bb   |    9 +++++++-
 2 files changed, 29 insertions(+), 1 deletions(-)
 create mode 100644 packages/module-init-tools/files/module-init-tools.init

diff --git a/packages/module-init-tools/files/module-init-tools.init b/packages/module-init-tools/files/module-init-tools.init
new file mode 100644
index 0000000..06601ce
--- /dev/null
+++ b/packages/module-init-tools/files/module-init-tools.init
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+LOAD_MODULE=modprobe
+[ -e /sbin/modprobe ] || LOAD_MODULE=insmod
+
+if [ -f /proc/modules ]; then
+	if [ -f /etc/modules ]; then
+		[ "$VERBOSE" != no ] && echo -n "Loading modules: "
+		while read module args
+		do
+			case "$module" in
+				\#*|"") continue ;;
+			esac
+			[ "$VERBOSE" != no ] && echo -n "$module "
+			eval "$LOAD_MODULE $module $args >/dev/null 2>&1"
+		done < /etc/modules
+		[ "$VERBOSE" != no ] && echo
+	fi
+fi
+
+: exit 0
diff --git a/packages/module-init-tools/module-init-tools_3.2.2.bb b/packages/module-init-tools/module-init-tools_3.2.2.bb
index a56bac7..f3c1f88 100644
--- a/packages/module-init-tools/module-init-tools_3.2.2.bb
+++ b/packages/module-init-tools/module-init-tools_3.2.2.bb
@@ -12,6 +12,7 @@ FILES_module-init-tools-depmod = "${sbindir}/depmod.26"
 FILES_module-init-tools-insmod-static = "${sbindir}/insmod.static"
 
 SRC_URI = "${KERNELORG_MIRROR}/pub/linux/utils/kernel/module-init-tools/module-init-tools-${PV}.tar.bz2 \
+	   file://module-init-tools.init \
 	   file://ignore_arch_directory;patch=1 \
 	   file://modutils_extension;patch=1 \
 	   file://no_man_rebuild;patch=1 \
@@ -24,9 +25,15 @@ EXTRA_OECONF = "--disable-manpages"
 bindir = "/bin"
 sbindir = "/sbin"
 
-inherit autotools
+inherit autotools update-rc.d
+
+INITSCRIPT_NAME = "module-init-tools.sh"
+INITSCRIPT_PARAMS = "start 20 S ."
 
 do_install() {
+	install -d ${D}${sysconfdir}/init.d
+	install -m 0755 ${WORKDIR}/module-init-tools.init ${D}${sysconfdir}/init.d/module-init-tools.sh
+
 	autotools_do_install
 	for f in bin/lsmod sbin/insmod sbin/rmmod sbin/modprobe sbin/modinfo sbin/depmod; do
 		mv ${D}/$f ${D}/$f.26
-- 
1.5.6.3

